package de.frajul.endlessroll.entities.tools;

import android.support.annotation.DrawableRes;

import de.frajul.endlessroll.R;

/**
 * Created by Julian on 07.06.2017.
 */

public enum ToolUpgradeType {

    NONE("None", "", R.drawable.tools_rampbutton), TIME("Time", "s", R.drawable.clock), RADIUS(
            "Radius", "%", R.drawable.radius), FORCE("Force", "%", R.drawable.magnet_field);

    private String name;
    private String unit;
    @DrawableRes
    private int drawable;

    ToolUpgradeType(String name, String unit, @DrawableRes int drawable) {
        this.name = name;
        this.unit = unit;
        this.drawable = drawable;
    }

    public String getName() {
        return name;
    }

    public String getUnit() {
        return unit;
    }

    @DrawableRes
    public int getDrawable() {
        return drawable;
    }
}
